80211DEBUG(8)

NAME
80211debug - control the debug output from the madwifi 802.11 stack

SYNOPSIS
80211debug [-i interface] +/- bitmap

DESCRIPTION
Set and clear debug bitmaps for the madwifi 802.11 stack. Each argument is a bitmap or its alias. If a bitmap alias is used then it must be prefixed by either "-" to clear or "+" to set the corresponding bitmap.

OPTIONS

-?  Display usage and list all debug bitmaps.

-i interface
    The madwifi interface to debug. If no interface is specified, 80211debug defaults to ath0.

+/- bitmap
    Set (+) or clear (-) a bitmap. It's quite tedious to remember the bitmaps, fortunately there is a user friendly interface which can be used to enable or disable debugging output by giving the name of the component or subsystem.

All debugging output can be enabled with 0xffffffff bitmap, while 0x0 disables all debug output.

BITMAP ALIASES
debug - IFF_DEBUG equivalent
dumppkts - IFF_LINK2 equivalent, dump packets
crypto - crypto modules
input - packet input handling
xrate - rate set handling
elemid - element id parsing
node - node management
assoc - association handling
auth - authentication handling
scan - scanning
output - packet output handling
state - 802.11 state machine
power - power save functions
dot1x - 802.1x authenticator
dot1xsm - 802.1x state machine
radius - 802.1x radius client
raddump - 802.1x radius packet dump
radkeys - 802.1x key dump
wpa - WPA/RSN protocol
ac1 - ACL handling
wme - WME protocol
superg - super G turbo mode
doth - 802.11h (DFS/TPC) handling
inact - timeout of inactive nodes
roam - station mode roaming

EXAMPLES

80211debug -i ath1 0xffffffff
    Enable all debug bitmaps on ath1.

80211debug +state +assoc
    Set state and assoc bitmaps to on for ath0.

80211debug -state
    Disable state bitmap for ath0.

SEE ALSO
athdebug(8), http://madwifi.org/wiki/DevDocs/AthDebug

AUTHOR
This manual page was written by Kel Modderman <kelrin@tpg.com.au> and was based upon previous text written by Eric S. Raymond.